Bug 1304123 - [abrt] eog: gtk_container_propagate_draw(): eog killed by SIGABRT
[abrt] eog: gtk_container_propagate_draw(): eog killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f008fee6d41667abef5e9f643bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 18:29 EST by Marek Doležel
Modified: 2017-08-08 08:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.94 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: core_backtrace (13.70 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: dso_list (12.18 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: environ (931 bytes, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: maps (52.57 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: mountinfo (3.56 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: open_fds (1.09 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details
File: var_log_messages (520 bytes, text/plain)
2016-02-02 18:29 EST, Marek Doležel
no flags Details

  None (edit)
Description Marek Doležel 2016-02-02 18:29:29 EST
Description of problem:
1. open eog
2. click "show shortcuts"
3. crash

Version-Release number of selected component:
eog-3.19.4-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        eog
crash_function: gtk_container_propagate_draw
executable:     /usr/bin/eog
global_pid:     3943
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gtk_container_propagate_draw at gtkcontainer.c:3748
 #5 gtk_container_draw at gtkcontainer.c:3615
 #6 gtk_box_draw_contents at gtkbox.c:448
 #7 gtk_css_custom_gadget_draw at gtkcsscustomgadget.c:159
 #8 gtk_css_gadget_draw at gtkcssgadget.c:735
 #9 gtk_box_draw at gtkbox.c:457
 #10 gtk_widget_draw_internal at gtkwidget.c:6984
 #11 gtk_container_propagate_draw at gtkcontainer.c:3792
 #12 gtk_stack_render at gtkstack.c:2180
 #13 gtk_css_custom_gadget_draw at gtkcsscustomgadget.c:159
Comment 1 Marek Doležel 2016-02-02 18:29:34 EST
Created attachment 1120595 [details]
File: backtrace
Comment 2 Marek Doležel 2016-02-02 18:29:36 EST
Created attachment 1120597 [details]
File: cgroup
Comment 3 Marek Doležel 2016-02-02 18:29:37 EST
Created attachment 1120598 [details]
File: core_backtrace
Comment 4 Marek Doležel 2016-02-02 18:29:39 EST
Created attachment 1120599 [details]
File: dso_list
Comment 5 Marek Doležel 2016-02-02 18:29:40 EST
Created attachment 1120600 [details]
File: environ
Comment 6 Marek Doležel 2016-02-02 18:29:42 EST
Created attachment 1120601 [details]
File: limits
Comment 7 Marek Doležel 2016-02-02 18:29:44 EST
Created attachment 1120602 [details]
File: maps
Comment 8 Marek Doležel 2016-02-02 18:29:45 EST
Created attachment 1120603 [details]
File: mountinfo
Comment 9 Marek Doležel 2016-02-02 18:29:47 EST
Created attachment 1120604 [details]
File: open_fds
Comment 10 Marek Doležel 2016-02-02 18:29:48 EST
Created attachment 1120605 [details]
File: proc_pid_status
Comment 11 Marek Doležel 2016-02-02 18:29:49 EST
Created attachment 1120606 [details]
File: var_log_messages
Comment 12 Jan Kurik 2016-02-24 09:23:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Fedora End Of Life 2017-07-25 15:53:16 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-08-08 08:44:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.